Bug 248244 - BUG: soft lockup detected on CPU#0!
BUG: soft lockup detected on CPU#0!
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
ia64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-14 00:13 EDT by epablo
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-19 09:06:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Outout of lspci -v (2.33 KB, application/octet-stream)
2007-07-14 00:13 EDT, epablo
no flags Details

  None (edit)
Description epablo 2007-07-14 00:13:18 EDT
Description of problem:
After some time of normal work on my notebook HP dv6325
(http://h10025.www1.hp.com/ewfrf/wc/document?docname=c00860362&lc=en&cc=us&dlc=en&product=3370284&lang=en)

Using ndiswrapper for the Wi-Fi setup and nvidia drivers (livna rpm) for the X

It hangs for 1 or 2 seconds. After that i get the following error on dmesg:
BUG: soft lockup detected on CPU#0!

Call Trace:
 <IRQ>  [<ffffffff802ad44c>] softlockup_tick+0xd5/0xe7
 [<ffffffff8028ac56>] update_process_times+0x42/0x68
 [<ffffffff8026e710>] smp_local_timer_interrupt+0x34/0x55
 [<ffffffff881f39ab>] :nvidia:_nv003511rm+0x1ff/0x242
 [<ffffffff8026ee36>] smp_apic_timer_interrupt+0x43/0x5b
 [<ffffffff80257d56>] apic_timer_interrupt+0x66/0x70
 [<ffffffff803e6182>] pci_conf1_read+0x0/0xc0
 [<ffffffff8020f926>] handle_IRQ_event+0x1a/0x53
 [<ffffffff802aede8>] handle_level_irq+0xa4/0xf1
 [<ffffffff881de066>] :nvidia:_nv003766rm+0x1f/0x27
 [<ffffffff80265498>] do_IRQ+0xf1/0x15f
 [<ffffffff80257631>] ret_from_intr+0x0/0xa
 [<ffffffff803e6182>] pci_conf1_read+0x0/0xc0
 [<ffffffff80210daf>] __do_softirq+0x4a/0xc3
 [<ffffffff802582ac>] call_softirq+0x1c/0x28
 [<ffffffff8026534e>] do_softirq+0x2c/0x85
 [<ffffffff802654e5>] do_IRQ+0x13e/0x15f
 [<ffffffff80263d5d>] default_idle+0x0/0x3d
 [<ffffffff80257631>] ret_from_intr+0x0/0xa
 <EOI>  [<ffffffff80263d86>] default_idle+0x29/0x3d
 [<ffffffff8024423b>] cpu_idle+0x8c/0xaf
 [<ffffffff8060b815>] start_kernel+0x2b9/0x2c5
 [<ffffffff8060b15c>] _sinittext+0x15c/0x160

When the soft lockup occurs.  I can move the mouse but it doesn't click. 
Keyboard repeats the last key pressed a couple times (2-20, depending on the
hang duration).  Music stops, I get silence but mp3/ogg rolls on

Version-Release number of selected component (if applicable):
This is my grub.conf line.  If y don't use the extra parameters it hangs when
booting X

kernel /boot/vmlinuz-2.6.21-1.3228.fc7 ro root=LABEL=/1 rhgb quiet noapi
c nolapic irqpoll


How reproducible:
Boot the machine and work
Comment 1 epablo 2007-07-14 00:13:18 EDT
Created attachment 159265 [details]
Outout of lspci -v
Comment 2 Chuck Ebbert 2007-07-16 17:06:27 EDT
The nvidia driver is heavily involved in this backtrace. Suggest the bug be
reported to nVidia:

http://www.nvnews.net/vbulletin/showthread.php?t=46678
Comment 3 Christopher Brown 2007-09-19 09:06:11 EDT
Thank you for the report.  For users who are experiencing problems
installing, configuring, or using the unsupported 3rd party
proprietary "nvidia" video driver, Nvidia provides indirect
customer support via an online web based support forum.  Nvidia
monitors these web forums for commonly reported problems and
passes them on to Nvidia engineers for investigation.  Once
they've isolated a particular problem, it is often fixed in
a future video driver update.

The NVNews Nvidia Linux driver forum is located at:

    http://www.nvnews.net/vbulletin/forumdisplay.php?s=&forumid=14

Once you have reported this issue in the Nvidia web forums,
others who may have experienced the particular problem may
be able to assist.  If there is a real bug occuring, Nvidia
will be able to determine this, and will likely resolve the
issue in a future driver update for the operating system
releases that they officially support.

While Red Hat does not support the proprietary nvidia driver,
users requiring technical support may also find the various
X.Org, XFree86, and Red Hat mailing lists helpful in finding
assistance:

X.Org mailing lists:
    http://www.freedesktop.org/XOrg/XorgMailingLists

XFree86 mailing lists:
    http://www.xfree86.org/sos/lists.html

Red Hat mailing lists:
    https://listman.redhat.com/mailman/listinfo

Setting status to "CANTFIX" (unsupported).

Note You need to log in before you can comment on or make changes to this bug.